### Method

# Gio Credentials is_same_user

since: 2.26

#### Declaration [src]

    gboolean
    g_credentials_is_same_user (
      GCredentials* credentials,
      GCredentials* other_credentials,
      GError** error
    )

#### Description [src]

Checks if `credentials` and `other_credentials` is the same user.

This operation can fail if `GCredentials` is not supported on the the OS.

Available since: 2.26

#### Parameters

`other_credentials`

  Type: `GCredentials`

  A `GCredentials`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `credentials` and `other_credentials` has the same user, `FALSE` otherwise or if `error` is set.